﻿using System;
using Microsoft.AspNetCore.Authentication;
using Microsoft.Extensions.DependencyInjection;

namespace AspNet.Security.OAuth.MyGut
{
    public static class AuthenticationBuilderExtension
    {
        public static AuthenticationBuilder AddMyGut(this AuthenticationBuilder builder) =>
            builder.AddMyGut(MyGutAuthenticationDefaults.AuthenticationScheme, MyGutAuthenticationDefaults.DisplayName, options => { });
        
        public static AuthenticationBuilder AddMyGut(
            this AuthenticationBuilder builder,
            string scheme,
            string caption,
            Action<MyGutAuthenticationOptions> configuration
        ) =>
            builder.AddOAuth<MyGutAuthenticationOptions, MyGutAuthenticationHandler>(scheme, caption, configuration);
    }
}